grid.polygon {grid} | R Documentation

## Draw a Polygon

### Description

This function draws a polygon. The final point will automatically be connected to the initial point.

### Usage

    grid.polygon(x=c(0, 0.5, 1, 0.5), y=c(0.5, 1, 0.5, 0),
                 default.units="npc",
                 gp=gpar(), draw=TRUE, vp=NULL)

### Arguments

`x` | A numeric vector or unit object specifying x-locations.
`y` | A numeric vector or unit object specifying y-locations.
`default.units` | A string indicating the default units to use if `x`, `y`, `width`, or `height` are only given as numeric vectors.
`gp` | An object of class `gpar`, typically the output from a call to the function `gpar`. This is basically a list of graphical parameter settings.
`draw` | A logical value indicating whether graphics output should be produced.
`vp` | A Grid viewport object (or NULL).

### Details

The `"grob"` object contains an object of class `"polygon"`.

### Value

An object of class `"grob"`.

### Author(s)

Paul Murrell

### See Also

Grid, `viewport`

[Package Contents]